LibreOffice: XPluginManager Interface Reference

LibreOffice LibreOffice 4.4 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XPluginManager Interface Referencepublished

Interface accessing all recognized Netscape plugins. More...

`import"XPluginManager.idl";`

Inheritance diagram for XPluginManager:

## Public Member Functions
com::sun::star::plugin::XPluginContext | createPluginContext ()
| Creates a default context. More...
sequence< com::sun::star::plugin::PluginDescription > | getPluginDescriptions ()
| Returns the descriptions for all recognized plugins. More...
com::sun::star::plugin::XPlugin | createPlugin ([in] com::sun::star::plugin::XPluginContext acontext, [in] short mode, [in] sequence< string > argn, [in] sequence< string > argv, [in] com::sun::star::plugin::PluginDescription plugintype) raises ( com::sun::star::plugin::PluginException )
| Creates a new plugin instance. More...
com::sun::star::plugin::XPlugin | createPluginFromURL ([in] com::sun::star::plugin::XPluginContext acontext, [in] short mode, [in] sequence< string > argn, [in] sequence< string > argv, [in] com::sun::star::awt::XToolkit toolkit, [in] com::sun::star::awt::XWindowPeer parent, [in] string url)
| Creates a new plugin instance. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface accessing all recognized Netscape plugins.

## Member Function Documentation

com::sun::star::plugin::XPlugin createPlugin | ( | [in] com::sun::star::plugin::XPluginContext | acontext,
|  | [in] short | mode,
|  | [in] sequence< string > | argn,
|  | [in] sequence< string > | argv,
|  | [in] com::sun::star::plugin::PluginDescription | plugintype
| ) |  |
raises | ( | com::sun::star::plugin::PluginException
| ) |  |

Creates a new plugin instance.

Parameters

  acontext | plugin context
  mode | plugin mode
  argn | argument name list provided to plugin
  argv | argument value list provided to plugin
  plugintype | plugin description

Returns
  plugin instance

com::sun::star::plugin::XPluginContext createPluginContext | ( |  | ) |

Creates a default context.

This context depends on the service com::sun::star::frame::Desktop.

Returns
  plugin context

com::sun::star::plugin::XPlugin createPluginFromURL | ( | [in] com::sun::star::plugin::XPluginContext | acontext,
|  | [in] short | mode,
|  | [in] sequence< string > | argn,
|  | [in] sequence< string > | argv,
|  | [in] com::sun::star::awt::XToolkit | toolkit,
|  | [in] com::sun::star::awt::XWindowPeer | parent,
|  | [in] string | url
| ) |  |

Creates a new plugin instance.

Parameters

  acontext | plugin context
  mode | plugin mode
  argn | argument name list provided to plugin
  argv | argument value list provided to plugin
  toolkit | toolkit to be used to get system window handle for plugin
  parent | parent window
  url | url

Returns
  plugin instance

sequence<com::sun::star::plugin::PluginDescription> getPluginDescriptions | ( |  | ) |

Returns the descriptions for all recognized plugins.

Returns
  plugin descriptions

The documentation for this interface was generated from the following file:

- com/sun/star/plugin/XPluginManager.idl